Payment batches & settlement

Simulate Transaction Using Tenderly

Name and signature indicate it returns simulate transaction using tenderly

GEThttps://api.toku.com/tga/simulate-transaction-using-tenderly

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/tga/simulate-transaction-using-tenderly?chainID=%3CchainID%3E&ownerAddress=%3CownerAddress%3E&encodedOmnibusExecTransactionData=%3CencodedOmnibusExecTransactionData%3E&omnibusAddress=%3ComnibusAddress%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "success": true,
  "simulationUrl": "string",
  "gasUsed": 0,
  "status": true
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

chainIDnumberrequired
ownerAddressstringrequired
encodedOmnibusExecTransactionDatastringrequired
omnibusAddressstringrequired

Response

200Successful response
successbooleanrequired
simulationUrlstringrequired
gasUsednumber | null
statusbooleanrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits